#!/bin/sh
# 14th Dec 2005. v1.1
#
# Top level directory
#

top=`pwd`

# here is a list of annotated commands
#
# Create a working sub directory.
dir=0
mkdir java

# Ok now set this to be our current default

cd java

# Setup an environment variable for reference

java=`pwd`

# Check it.

echo $java

#Check is a function which check whether the .jar or .zip exists.
#If exists then create the directory.

check(){
   if [ -f $ORACLE_HOME/jdbc/lib/classes$dir.jar ]
   then

   #The .jar file exists. So creating the directory.

       mkdir $dir
   elif [ -f $ORACLE_HOME/jdbc/lib/classes$dir.zip ]
   then

   #The .jar file does not exist. But the corresponding .zip file exists.
   #So creating the directory.

       mkdir $dir
   fi
}

# Calling the check() for each jdk versions ( i.e. 111.111_g etc. )

for dir in 111 111_g 12 12_g 12dms 12dms_g
do
   check
done

# Copy the .jar-ed and zipped class libraries into their
# temp working directories.

for dir in `ls -d *`
do
   #Copying the .jar files only.

   if [ -f $ORACLE_HOME/jdbc/lib/classes$dir.jar ]
   then
       cp $ORACLE_HOME/jdbc/lib/classes$dir.jar $java/$dir
   fi

   #Copying the .zip files as they needs to be copied separately.

   if [ -f $ORACLE_HOME/jdbc/lib/classes$dir.zip ]
   then
       cp $ORACLE_HOME/jdbc/lib/classes$dir.zip $java/$dir
   fi
done

# Now unjar the class libraries

for dir in `ls -d *`
do
   cd $dir
   ls *.jar  2> /dev/null
   if [ $? -eq 0 ]
   then
       jar -xf classes$dir.jar
   else
       jar -xf classes$dir.zip > /dev/null
   fi
   cd ..
done

# After unjaring now save the orignal, and then
# copy in the replacement class files.

for dir in `ls -d *`
do
       cp -f $top/$dir/JndiAttrs.class $dir/oracle/net/jndi/JndiAttrs.class
done



# Now jar the files up again...

for dir in `ls -d *`
do
       cd $java/$dir
   ls *.jar  2> /dev/null
   if [ $? -eq 0 ]
   then
           jar -cf0 classes$dir.jar oracle javax
           mv $ORACLE_HOME/jdbc/lib/classes$dir.jar $top/classes$dir.jar.orig
           mv classes$dir.jar $ORACLE_HOME/jdbc/lib/classes$dir.jar
   fi

   ls *.zip 2> /dev/null
   if [ $? -eq 0 ]
   then
               cd $java/$dir
               jar -cf0 classes$dir.zip oracle javax
               mv $ORACLE_HOME/jdbc/lib/classes$dir.zip $top/classes$dir.zip.orig
               mv classes$dir.zip $ORACLE_HOME/jdbc/lib/classes$dir.zip
   fi
        cd $java
done

cd $top
rm -rf $java

# The class.jar files are now updated.

